HandBrake for Mac OS X

Well… yet another bunch of developers out there are intent on getting rid of users off old platforms. I for one happen to like Mac OS X 10.5.8 which is my current system build and I don’t intend to upgrade anytime soon. But there some “dev’s” out there that think newer is better. Well I’ve got news for you.

Just ’cause something is new does not always mean it’s better. Take for example what they’re doing with this fine piece of software. They’ve now made it impossible for anyone running Mac OS X 10.4.x & 10.5.x to upgrade to the latest “stable” build of HandBrake.

Ok, so people who are using 10.5.x using ppc or intel, can only use upto version 0.9.5 I have built 0.9.5 for Mac OS X 10.5.x PPC & Intel (64Bit).

**Disclaimer**: If these builds work for you excellent if they don’t please don’t whinge to me as these were built on my own equipment. They were however built directly from the source code on the HandBrake pages.